/* automatically generated from ./x86/regs.dat - do not edit */

#include "tables.h"

const char * const nasm_reg_names[] = {
    "ah",
    "al",
    "ax",
    "bh",
    "bl",
    "bnd0",
    "bnd1",
    "bnd2",
    "bnd3",
    "bp",
    "bpl",
    "bx",
    "ch",
    "cl",
    "cr0",
    "cr1",
    "cr10",
    "cr11",
    "cr12",
    "cr13",
    "cr14",
    "cr15",
    "cr2",
    "cr3",
    "cr4",
    "cr5",
    "cr6",
    "cr7",
    "cr8",
    "cr9",
    "cs",
    "cx",
    "dh",
    "di",
    "dil",
    "dl",
    "dr0",
    "dr1",
    "dr10",
    "dr11",
    "dr12",
    "dr13",
    "dr14",
    "dr15",
    "dr2",
    "dr3",
    "dr4",
    "dr5",
    "dr6",
    "dr7",
    "dr8",
    "dr9",
    "ds",
    "dx",
    "eax",
    "ebp",
    "ebx",
    "ecx",
    "edi",
    "edx",
    "es",
    "esi",
    "esp",
    "fs",
    "gs",
    "k0",
    "k1",
    "k2",
    "k3",
    "k4",
    "k5",
    "k6",
    "k7",
    "mm0",
    "mm1",
    "mm2",
    "mm3",
    "mm4",
    "mm5",
    "mm6",
    "mm7",
    "r10",
    "r10b",
    "r10d",
    "r10w",
    "r11",
    "r11b",
    "r11d",
    "r11w",
    "r12",
    "r12b",
    "r12d",
    "r12w",
    "r13",
    "r13b",
    "r13d",
    "r13w",
    "r14",
    "r14b",
    "r14d",
    "r14w",
    "r15",
    "r15b",
    "r15d",
    "r15w",
    "r8",
    "r8b",
    "r8d",
    "r8w",
    "r9",
    "r9b",
    "r9d",
    "r9w",
    "rax",
    "rbp",
    "rbx",
    "rcx",
    "rdi",
    "rdx",
    "rsi",
    "rsp",
    "segr6",
    "segr7",
    "si",
    "sil",
    "sp",
    "spl",
    "ss",
    "st0",
    "st1",
    "st2",
    "st3",
    "st4",
    "st5",
    "st6",
    "st7",
    "tmm0",
    "tmm1",
    "tmm2",
    "tmm3",
    "tmm4",
    "tmm5",
    "tmm6",
    "tmm7",
    "tr0",
    "tr1",
    "tr2",
    "tr3",
    "tr4",
    "tr5",
    "tr6",
    "tr7",
    "xmm0",
    "xmm1",
    "xmm10",
    "xmm11",
    "xmm12",
    "xmm13",
    "xmm14",
    "xmm15",
    "xmm16",
    "xmm17",
    "xmm18",
    "xmm19",
    "xmm2",
    "xmm20",
    "xmm21",
    "xmm22",
    "xmm23",
    "xmm24",
    "xmm25",
    "xmm26",
    "xmm27",
    "xmm28",
    "xmm29",
    "xmm3",
    "xmm30",
    "xmm31",
    "xmm4",
    "xmm5",
    "xmm6",
    "xmm7",
    "xmm8",
    "xmm9",
    "ymm0",
    "ymm1",
    "ymm10",
    "ymm11",
    "ymm12",
    "ymm13",
    "ymm14",
    "ymm15",
    "ymm16",
    "ymm17",
    "ymm18",
    "ymm19",
    "ymm2",
    "ymm20",
    "ymm21",
    "ymm22",
    "ymm23",
    "ymm24",
    "ymm25",
    "ymm26",
    "ymm27",
    "ymm28",
    "ymm29",
    "ymm3",
    "ymm30",
    "ymm31",
    "ymm4",
    "ymm5",
    "ymm6",
    "ymm7",
    "ymm8",
    "ymm9",
    "zmm0",
    "zmm1",
    "zmm10",
    "zmm11",
    "zmm12",
    "zmm13",
    "zmm14",
    "zmm15",
    "zmm16",
    "zmm17",
    "zmm18",
    "zmm19",
    "zmm2",
    "zmm20",
    "zmm21",
    "zmm22",
    "zmm23",
    "zmm24",
    "zmm25",
    "zmm26",
    "zmm27",
    "zmm28",
    "zmm29",
    "zmm3",
    "zmm30",
    "zmm31",
    "zmm4",
    "zmm5",
    "zmm6",
    "zmm7",
    "zmm8",
    "zmm9"
};
